Show / Hide Table of Contents

# Struct StdMap<TKey, TValue>.Node

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Node

### Fields

| Improve this Doc View Source

#### _18

##### Declaration

    public byte _18

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### _19

##### Declaration

    public byte _19

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Color

##### Declaration

    public byte Color

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsNil

##### Declaration

    public bool IsNil

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### KeyValuePair

##### Declaration

    public StdPair<TKey, TValue> KeyValuePair

##### Field Value

Type | Description
--- | ---
StdPair<TKey, TValue> |

| Improve this Doc View Source

#### Left

##### Declaration

    public StdMap<TKey, TValue>.Node*Left

##### Field Value

Type | Description
--- | ---
StdMap.Node<>* |

| Improve this Doc View Source

#### Parent

##### Declaration

    public StdMap<TKey, TValue>.Node*Parent

##### Field Value

Type | Description
--- | ---
StdMap.Node<>* |

| Improve this Doc View Source

#### Right

##### Declaration

    public StdMap<TKey, TValue>.Node*Right

##### Field Value

Type | Description
--- | ---
StdMap.Node<>* |

### Methods

| Improve this Doc View Source

#### Next()

##### Declaration

    public StdMap<TKey, TValue>.Node*Next()

##### Returns

Type | Description
--- | ---
StdMap.Node<>* |

| Improve this Doc View Source

#### Prev()

##### Declaration

    public StdMap<TKey, TValue>.Node*Prev()

##### Returns

Type | Description
--- | ---
StdMap.Node<>* |